AlertDefinition (Hyperic HQ Plugin API)
Keywords: org.hyperic.hq.events.server.session.AlertDefinition class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.events.server.session
Class AlertDefinition

    java.lang.Object
      org.hyperic.hibernate.PersistedObject
          org.hyperic.hq.events.server.session.AlertDefinition

All Implemented Interfaces:
  java.io.Serializable, ContainerManagedTimestampTrackable, PerformsEscalations, AlertDefinitionInterface

    public class AlertDefinition

extends PersistedObject
implements AlertDefinitionInterface, PerformsEscalations, ContainerManagedTimestampTrackable

See Also:
  Serialized Form

Constructor Summary
`AlertDefinition()`

Method Summary
`boolean` | `allowContainerManagedCreationTime()` Define the management policy for the creation time.
`boolean` | `allowContainerManagedLastModifiedTime()` Define the management policy for the last modified time.
`java.util.Collection` | `getActions()`
`AlertDefinitionState` | `getAlertDefinitionState()`
`AlertDefinitionValue` | `getAlertDefinitionValue()`
`EscalationAlertType` | `getAlertType()`
`AppdefEntityID` | `getAppdefEntityId()`
`java.lang.Integer` | `getAppdefId()`
`int` | `getAppdefType()`
`java.util.Collection` | `getChildren()`
`java.util.Collection` | `getConditions()`
`long` | `getCount()`
`long` | `getCtime()`
`AlertDefinitionInterface` | `getDefinitionInfo()`
`java.lang.String` | `getDescription()`
`Escalation` | `getEscalation()`
`int` | `getFrequencyType()`
`long` | `getLastFired()` Get the time that the alert definition last fired.
`long` | `getMtime()`
`java.lang.String` | `getName()`
`AlertDefinition` | `getParent()`
`int` | `getPriority()`
`long` | `getRange()`
`Resource` | `getResource()`
`AlertSeverity` | `getSeverity()` Returns the same thing as getPriority(), though a typesafe enum
`java.util.Collection` | `getTriggers()`
`boolean` | `isActive()` Check if an alert definition is active.
`boolean` | `isAvailability(boolean up)` Check if an alert definition is configured for only availability.
`boolean` | `isControlFiltered()`
`boolean` | `isDeleted()`
`boolean` | `isEnabled()` Check if an alert definition is enabled.
`boolean` | `isNotifyFiltered()`
`boolean` | `isRecoveryDefinition()` Check if the alert definition is a recovery alert
`boolean` | `isResourceTypeDefinition()`
`boolean` | `isWillRecover()`
`boolean` | `performsEscalations()`
`void` | `setActiveStatus(boolean activate)` Activate or deactivate an alert definition.
`boolean` | `setEnabledStatus(boolean enabled)` Enable or disable the alert definition.
`void` | `setName(java.lang.String name)`
`java.lang.String` | `toString()`
`boolean` | `willRecover()`

Methods inherited from class org.hyperic.hibernate.PersistedObject
`equals, get_version_, getId, hashCode, set_version_, setId`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.hyperic.hq.events.AlertDefinitionInterface
`getId`

Methods inherited from interface org.hyperic.hq.escalation.server.session.PerformsEscalations
`getId`

Constructor Detail

### AlertDefinition

    public AlertDefinition()

Method Detail

### allowContainerManagedCreationTime

    public boolean allowContainerManagedCreationTime()

  Description copied from interface: `ContainerManagedTimestampTrackable`
  Define the management policy for the creation time. If the creation time is set explicitly, an explicit management policy will be assumed always, regardless of the return value.

  Specified by:
    `allowContainerManagedCreationTime` in interface `ContainerManagedTimestampTrackable`
  Returns:
    `true` by default.
  See Also:
    `ContainerManagedTimestampTrackable.allowContainerManagedLastModifiedTime()`

### allowContainerManagedLastModifiedTime

    public boolean allowContainerManagedLastModifiedTime()

  Description copied from interface: `ContainerManagedTimestampTrackable`
  Define the management policy for the last modified time.

  Specified by:
    `allowContainerManagedLastModifiedTime` in interface `ContainerManagedTimestampTrackable`
  Returns:
    `false` by default.
  See Also:
    `ContainerManagedTimestampTrackable.allowContainerManagedLastModifiedTime()`

### getName

    public java.lang.String getName()

  Specified by:
    `getName` in interface `PerformsEscalations`
  Specified by:
    `getName` in interface `AlertDefinitionInterface`

### setName

    public void setName(java.lang.String name)

### getCtime

    public long getCtime()

### getMtime

    public long getMtime()

### getParent

    public AlertDefinition getParent()

### getChildren

    public java.util.Collection getChildren()

### getDescription

    public java.lang.String getDescription()

  Specified by:
    `getDescription` in interface `AlertDefinitionInterface`

### getSeverity

    public AlertSeverity getSeverity()

  Returns the same thing as getPriority(), though a typesafe enum

### getPriority

    public int getPriority()

  Specified by:
    `getPriority` in interface `AlertDefinitionInterface`

### getAppdefId

    public java.lang.Integer getAppdefId()

### getAppdefType

    public int getAppdefType()

### isEnabled

    public boolean isEnabled()

  Check if an alert definition is enabled.

  Returns:
    `true` if the alert definition is enabled; `false` if disabled.

### isActive

    public boolean isActive()

  Check if an alert definition is active.

  Returns:
    `true` if the alert definition is active; `false` if inactive.

### isRecoveryDefinition

    public boolean isRecoveryDefinition()

  Check if the alert definition is a recovery alert

### setActiveStatus

    public void setActiveStatus(boolean activate)

  Activate or deactivate an alert definition.

  Parameters:
    `activate` - `true` to activate the alert definition; `false` to deactivate the alert definition.

### setEnabledStatus

    public boolean setEnabledStatus(boolean enabled)

  Enable or disable the alert definition. This operation will not succeed if the alert definition is not active.

  Parameters:
    `enabled` - `true` to enable the alert definition; `false` to disable the alert definition.
  Returns:
    `true` if the operation succeeded, meaning the enabled status was set; `false` if it wasn't set.

### getFrequencyType

    public int getFrequencyType()

### getCount

    public long getCount()

### getRange

    public long getRange()

### willRecover

    public boolean willRecover()

### isWillRecover

    public boolean isWillRecover()

### isNotifyFiltered

    public boolean isNotifyFiltered()

  Specified by:
    `isNotifyFiltered` in interface `AlertDefinitionInterface`

### isControlFiltered

    public boolean isControlFiltered()

### getEscalation

    public Escalation getEscalation()

  Specified by:
    `getEscalation` in interface `PerformsEscalations`

### isDeleted

    public boolean isDeleted()

  Specified by:
    `isDeleted` in interface `PerformsEscalations`
  Specified by:
    `isDeleted` in interface `AlertDefinitionInterface`

### getResource

    public Resource getResource()

  Specified by:
    `getResource` in interface `AlertDefinitionInterface`

### getActions

    public java.util.Collection getActions()

### getConditions

    public java.util.Collection getConditions()

### getTriggers

    public java.util.Collection getTriggers()

### isResourceTypeDefinition

    public boolean isResourceTypeDefinition()

### isAvailability

    public boolean isAvailability(boolean up)

  Check if an alert definition is configured for only availability.

  Parameters:
    `up` - Indicates where the availability condition is up (true) or down (false)
  Returns:
    `true` if the alert definition has an availability condition.

### getAppdefEntityId

    public AppdefEntityID getAppdefEntityId()

### getLastFired

    public long getLastFired()

  Get the time that the alert definition last fired.

### getAlertDefinitionState

    public AlertDefinitionState getAlertDefinitionState()

### getAlertDefinitionValue

    public AlertDefinitionValue getAlertDefinitionValue()

### getAlertType

    public EscalationAlertType getAlertType()

  Specified by:
    `getAlertType` in interface `PerformsEscalations`

### getDefinitionInfo

    public AlertDefinitionInterface getDefinitionInfo()

  Specified by:
    `getDefinitionInfo` in interface `PerformsEscalations`

### performsEscalations

    public boolean performsEscalations()

  Specified by:
    `performsEscalations` in interface `AlertDefinitionInterface`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.